2 Replies Latest reply on Mar 12, 2003 11:56 AM by Ben Greenwood

    Can't compile tomcat with the latest JBoss distributions fro

    Radu Mateescu Newbie

      Hello,
      although I could successfully compile latest JBoss distributions from cvs (3.2 RC3 and 4.0-alpha), I stumbled at tomcat integration. One of the errors I'm getting is:
      [javac] /usr/local/jboss-4.0/catalina/src/main/org/jboss/web/catalina/AddEngineAction.java:7: package org.apache.catalina.util.xml does not exist
      [javac] import org.apache.catalina.util.xml.SaxContext;
      [javac] ^
      [javac] /usr/local/jboss-4.0/catalina/src/main/org/jboss/web/catalina/AddEngineAction.java:8: package org.apache.catalina.util.xml does not exist
      [javac] import org.apache.catalina.util.xml.XmlAction;

      I have tomcat 4.1.8 installed but there is no org.apache.catalina.util.xml package in catalina.jar.
      Some of the older tomcat releases I have contain the package, but I couldn't find anything in the latest distributions (including here the latest jboss-tomcat bundles I've got from JBoss site).
      Did anybody install the tomcat with the JBoss newer then 3.2-RC2?